diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -11173,7 +11016,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-transaction" xreflabel="max_pred_locks_per_transaction">
-      <term><varname>max_pred_locks_per_transaction</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_transaction</varname> (<type>integer</type>) default is 64
       <indexterm>
        <primary><varname>max_pred_locks_per_transaction</varname> configuration parameter</primary>
       </indexterm>
@@ -11188,8 +11031,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         locks used by each transaction; individual transactions
         can lock more objects as long as the locks of all transactions
         fit in the lock table.  This is <emphasis>not</emphasis> the number of
-        rows that can be locked; that value is unlimited.  The default,
-        64, has historically proven sufficient, but you might need to
+        rows that can be locked; that value is unlimited. The default value
+        has historically proven sufficient, but you might need to
         raise this value if you have clients that touch many different
         tables in a single serializable transaction. This parameter can
         only be set at server start.
@@ -11198,7 +11041,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-relation" xreflabel="max_pred_locks_per_relation">
-      <term><varname>max_pred_locks_per_relation</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_relation</varname> (<type>integer</type>) default is -2
       <indexterm>
        <primary><varname>max_pred_locks_per_relation</varname> configuration parameter</primary>
       </indexterm>
@@ -11210,7 +11053,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         relation.  Values greater than or equal to zero mean an absolute
         limit, while negative values
         mean <xref linkend="guc-max-pred-locks-per-transaction"/> divided by
-        the absolute value of this setting.  The default is -2, which keeps
+        the absolute value of this setting.  Value of -2, which keeps
         the behavior from previous versions of <productname>PostgreSQL</productname>.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -11219,7 +11062,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-page" xreflabel="max_pred_locks_per_page">
-      <term><varname>max_pred_locks_per_page</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_page</varname> (<type>integer</type>) default is 2
       <indexterm>
        <primary><varname>max_pred_locks_per_page</varname> configuration parameter</primary>
       </indexterm>
@@ -11227,8 +11070,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         This controls how many rows on a single page can be predicate-locked
-        before the lock is promoted to covering the whole page.  The default
-        is 2.  This parameter can only be set in
+        before the lock is promoted to covering the whole page. 
+		This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
@@ -11246,7 +11089,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-array-nulls" xreflabel="array_nulls">
-      <term><varname>array_nulls</varname> (<type>boolean</type>)
+      <term><varname>array_nulls</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>array_nulls</varname> configuration parameter</primary>
       </indexterm>
@@ -11255,7 +11098,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         This controls whether the array input parser recognizes
         unquoted <literal>NULL</literal> as specifying a null array element.
-        By default, this is <literal>on</literal>, allowing array values containing
+        Setting this value to on, allowing array values containing
         null values to be entered.  However, <productname>PostgreSQL</productname> versions
         before 8.2 did not support null values in arrays, and therefore would
         treat <literal>NULL</literal> as specifying a normal array element with
@@ -11272,7 +11115,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-backslash-quote" xreflabel="backslash_quote">
-      <term><varname>backslash_quote</varname> (<type>enum</type>)
+      <term><varname>backslash_quote</varname> (<type>enum</type>) default is safe_encoding
       <indexterm><primary>strings</primary><secondary>backslash quotes</secondary></indexterm>
       <indexterm>
        <primary><varname>backslash_quote</varname> configuration parameter</primary>
@@ -11296,7 +11139,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>off</literal> (reject always), and
         <literal>safe_encoding</literal> (allow only if client encoding does not
         allow ASCII <literal>\</literal> within a multibyte character).
-        <literal>safe_encoding</literal> is the default setting.
        </para>
 
        <para>
@@ -11309,7 +11151,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-escape-string-warning" xreflabel="escape_string_warning">
-      <term><varname>escape_string_warning</varname> (<type>boolean</type>)
+      <term><varname>escape_string_warning</varname> (<type>boolean</type>) default is on
       <indexterm><primary>strings</primary><secondary>escape warning</secondary></indexterm>
       <indexterm>
        <primary><varname>escape_string_warning</varname> configuration parameter</primary>
@@ -11320,7 +11162,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         When on, a warning is issued if a backslash (<literal>\</literal>)
         appears in an ordinary string literal (<literal>'...'</literal>
         syntax) and <varname>standard_conforming_strings</varname> is off.
-        The default is <literal>on</literal>.
        </para>
        <para>
         Applications that wish to use backslash as escape should be
@@ -11333,7 +11174,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-lo-compat-privileges" xreflabel="lo_compat_privileges">
-      <term><varname>lo_compat_privileges</varname> (<type>boolean</type>)
+      <term><varname>lo_compat_privileges</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>lo_compat_privileges</varname> configuration parameter</primary>
       </indexterm>
@@ -11344,8 +11185,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         did not have access privileges and were, therefore, always readable
         and writable by all users.  Setting this variable to <literal>on</literal>
         disables the new privilege checks, for compatibility with prior
-        releases.  The default is <literal>off</literal>.
-        Only superusers and users with the appropriate <literal>SET</literal>
+        releases. Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
        <para>
@@ -11357,7 +11197,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
     <varlistentry id="guc-quote-all-identifiers" xreflabel="quote-all-identifiers">
-      <term><varname>quote_all_identifiers</varname> (<type>boolean</type>)
+      <term><varname>quote_all_identifiers</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>quote_all_identifiers</varname> configuration parameter</primary>
       </indexterm>
@@ -11375,7 +11215,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-standard-conforming-strings" xreflabel="standard_conforming_strings">
-      <term><varname>standard_conforming_strings</varname> (<type>boolean</type>)
+      <term><varname>standard_conforming_strings</varname> (<type>boolean</type>) default is on
       <indexterm><primary>strings</primary><secondary>standard conforming</secondary></indexterm>
       <indexterm>
        <primary><varname>standard_conforming_strings</varname> configuration parameter</primary>
@@ -11386,8 +11226,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         This controls whether ordinary string literals
         (<literal>'...'</literal>) treat backslashes literally, as specified in
         the SQL standard.
-        Beginning in <productname>PostgreSQL</productname> 9.1, the default is
-        <literal>on</literal> (prior releases defaulted to <literal>off</literal>).
+        Beginning in <productname>PostgreSQL</productname> 9.1, 
+		(prior releases defaulted to <literal>off</literal>).
         Applications can check this
         parameter to determine how string literals will be processed.
         The presence of this parameter can also be taken as an indication
@@ -11400,7 +11240,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-synchronize-seqscans" xreflabel="synchronize_seqscans">
-      <term><varname>synchronize_seqscans</varname> (<type>boolean</type>)
+      <term><varname>synchronize_seqscans</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>synchronize_seqscans</varname> configuration parameter</primary>
       </indexterm>
@@ -11416,8 +11256,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         unpredictable changes in the row ordering returned by queries that
         have no <literal>ORDER BY</literal> clause.  Setting this parameter to
         <literal>off</literal> ensures the pre-8.3 behavior in which a sequential
-        scan always starts from the beginning of the table.  The default
-        is <literal>on</literal>.
+        scan always starts from the beginning of the table.
        </para>
       </listitem>
      </varlistentry>
@@ -11430,7 +11269,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-transform-null-equals" xreflabel="transform_null_equals">
-      <term><varname>transform_null_equals</varname> (<type>boolean</type>)
+      <term><varname>transform_null_equals</varname> (<type>boolean</type>) default is off
       <indexterm><primary>IS NULL</primary></indexterm>
       <indexterm>
        <primary><varname>transform_null_equals</varname> configuration parameter</primary>
@@ -11445,8 +11284,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         return true if <replaceable>expr</replaceable> evaluates to the null value,
         and false otherwise. The correct SQL-spec-compliant behavior of
         <literal><replaceable>expr</replaceable> = NULL</literal> is to always
-        return null (unknown). Therefore this parameter defaults to
-        <literal>off</literal>.
+        return null (unknown). 
        </para>
 
        <para>
@@ -11460,7 +11298,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         very useful and do not appear often in normal applications so
         this option does little harm in practice.  But new users are
         frequently confused about the semantics of expressions
-        involving null values, so this option is off by default.
+        involving null values
        </para>
 
        <para>
@@ -11478,7 +11316,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-allow-alter-system" xreflabel="allow_alter_system">
-      <term><varname>allow_alter_system</varname> (<type>boolean</type>)
+      <term><varname>allow_alter_system</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>allow_alter_system</varname> configuration parameter</primary>
       </indexterm>
@@ -11489,7 +11327,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>off</literal>, an error is returned if the <command>ALTER
         SYSTEM</command> command is executed. This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command
-        line. The default value is <literal>on</literal>.
+        line.
        </para>
 
        <para>
@@ -11535,29 +11373,28 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     <variablelist>
 
      <varlistentry id="guc-exit-on-error" xreflabel="exit_on_error">
-      <term><varname>exit_on_error</varname> (<type>boolean</type>)
+      <term><varname>exit_on_error</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>exit_on_error</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If on, any error will terminate the current session.  By default,
-        this is set to off, so that only FATAL errors will terminate the
-        session.
+        If on, any error will terminate the current session. If default is used,
+        then only FATAL errors will terminate the session.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-restart-after-crash" xreflabel="restart_after_crash">
-      <term><varname>restart_after_crash</varname> (<type>boolean</type>)
+      <term><varname>restart_after_crash</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>restart_after_crash</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to on, which is the default, <productname>PostgreSQL</productname>
+        If this is set to on, <productname>PostgreSQL</productname>
         will automatically reinitialize after a backend crash.  Leaving this
         value set to on is normally the best way to maximize the availability
         of the database.  However, in some circumstances, such as when
@@ -11574,14 +11411,14 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-sync-retry" xreflabel="data_sync_retry">
-      <term><varname>data_sync_retry</varname> (<type>boolean</type>)
+      <term><varname>data_sync_retry</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>data_sync_retry</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to off, which is the default, <productname>PostgreSQL</productname>
+        If this is set to off, <productname>PostgreSQL</productname>
         will raise a PANIC-level error on failure to flush modified data files
         to the file system.  This causes the database server to crash.  This
         parameter can only be set at server start.
@@ -11607,14 +11444,14 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-recovery-init-sync-method" xreflabel="recovery_init_sync_method">
-      <term><varname>recovery_init_sync_method</varname> (<type>enum</type>)
+      <term><varname>recovery_init_sync_method</varname> (<type>enum</type>) default is fsync
        <indexterm>
         <primary><varname>recovery_init_sync_method</varname> configuration parameter</primary>
        </indexterm>
       </term>
       <listitem>
        <para>
-        When set to <literal>fsync</literal>, which is the default,
+        When set to <literal>fsync</literal>, 
         <productname>PostgreSQL</productname> will recursively open and
         synchronize all files in the data directory before crash recovery
         begins.  The search for files will follow symbolic links for the WAL
@@ -11666,7 +11503,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     <variablelist>
 
      <varlistentry id="guc-block-size" xreflabel="block_size">
-      <term><varname>block_size</varname> (<type>integer</type>)
+      <term><varname>block_size</varname> (<type>integer</type>) default is 8192
       <indexterm>
        <primary><varname>block_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11674,8 +11511,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the size of a disk block.  It is determined by the value
-        of <literal>BLCKSZ</literal> when building the server. The default
-        value is 8192 bytes.  The meaning of some configuration
+        of <literal>BLCKSZ</literal> when building the server. 
+		The meaning of some configuration
         variables (such as <xref linkend="guc-shared-buffers"/>) is
         influenced by <varname>block_size</varname>. See <xref
         linkend="runtime-config-resource"/> for information.
@@ -11684,7 +11521,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-checksums" xreflabel="data_checksums">
-      <term><varname>data_checksums</varname> (<type>boolean</type>)
+      <term><varname>data_checksums</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>data_checksums</varname> configuration parameter</primary>
       </indexterm>
@@ -11698,7 +11535,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-directory-mode" xreflabel="data_directory_mode">
-      <term><varname>data_directory_mode</varname> (<type>integer</type>)
+      <term><varname>data_directory_mode</varname> (<type>integer</type>) default is 0700
       <indexterm>
        <primary><varname>data_directory_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -11718,7 +11555,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-assertions" xreflabel="debug_assertions">
-      <term><varname>debug_assertions</varname> (<type>boolean</type>)
+      <term><varname>debug_assertions</varname> (<type>boolean</type>) default is without assertions.
       <indexterm>
        <primary><varname>debug_assertions</varname> configuration parameter</primary>
       </indexterm>
@@ -11730,15 +11567,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         macro <symbol>USE_ASSERT_CHECKING</symbol> is defined
         when <productname>PostgreSQL</productname> is built (accomplished
         e.g., by the <command>configure</command> option
-        <option>--enable-cassert</option>). By
-        default <productname>PostgreSQL</productname> is built without
-        assertions.
+        <option>--enable-cassert</option>). 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-huge-pages-status" xreflabel="huge_pages_status">
-      <term><varname>huge_pages_status</varname> (<type>enum</type>)
+      <term><varname>huge_pages_status</varname> (<type>enum</type>) default is off
       <indexterm>
        <primary><varname>huge_pages_status</varname> configuration parameter</primary>
       </indexterm>
@@ -11757,7 +11592,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-integer-datetimes" xreflabel="integer_datetimes">
-      <term><varname>integer_datetimes</varname> (<type>boolean</type>)
+      <term><varname>integer_datetimes</varname> (<type>boolean</type>) value is on and cannot be changed by command
       <indexterm>
        <primary><varname>integer_datetimes</varname> configuration parameter</primary>
       </indexterm>
@@ -11772,7 +11607,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-in-hot-standby" xreflabel="in_hot_standby">
-      <term><varname>in_hot_standby</varname> (<type>boolean</type>)
+      <term><varname>in_hot_standby</varname> (<type>boolean</type>) value cannot be changed by command
       <indexterm>
        <primary><varname>in_hot_standby</varname> configuration parameter</primary>
       </indexterm>
@@ -11789,7 +11624,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-function-args" xreflabel="max_function_args">
-      <term><varname>max_function_args</varname> (<type>integer</type>)
+      <term><varname>max_function_args</varname> (<type>integer</type>) value is 100 and cannot be changed by command
       <indexterm>
        <primary><varname>max_function_args</varname> configuration parameter</primary>
       </indexterm>
@@ -11797,14 +11632,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the maximum number of function arguments. It is determined by
-        the value of <literal>FUNC_MAX_ARGS</literal> when building the server. The
-        default value is 100 arguments.
+        the value of <literal>FUNC_MAX_ARGS</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-identifier-length" xreflabel="max_identifier_length">
-      <term><varname>max_identifier_length</varname> (<type>integer</type>)
+      <term><varname>max_identifier_length</varname> (<type>integer</type>) default is 63
       <indexterm>
        <primary><varname>max_identifier_length</varname> configuration parameter</primary>
       </indexterm>
@@ -11814,15 +11648,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         Reports the maximum identifier length. It is determined as one
         less than the value of <literal>NAMEDATALEN</literal> when building
         the server. The default value of <literal>NAMEDATALEN</literal> is
-        64; therefore the default
-        <varname>max_identifier_length</varname> is 63 bytes, which
-        can be less than 63 characters when using multibyte encodings.
+        64. Its value can be less than 63 characters when using multibyte encodings.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-index-keys" xreflabel="max_index_keys">
-      <term><varname>max_index_keys</varname> (<type>integer</type>)
+      <term><varname>max_index_keys</varname> (<type>integer</type>) default is 32 keys
       <indexterm>
        <primary><varname>max_index_keys</varname> configuration parameter</primary>
       </indexterm>
@@ -11830,8 +11662,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the maximum number of index keys. It is determined by
-        the value of <literal>INDEX_MAX_KEYS</literal> when building the server. The
-        default value is 32 keys.
+        the value of <literal>INDEX_MAX_KEYS</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
@@ -11855,7 +11686,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-segment-size" xreflabel="segment_size">
-      <term><varname>segment_size</varname> (<type>integer</type>)
+      <term><varname>segment_size</varname> (<type>integer</type>) default is 1GB
       <indexterm>
        <primary><varname>segment_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11866,13 +11697,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         segment.  It is determined by the value of <literal>RELSEG_SIZE</literal>
         when building the server.  The maximum size of a segment file in bytes
         is equal to <varname>segment_size</varname> multiplied by
-        <varname>block_size</varname>; by default this is 1GB.
+        <varname>block_size</varname>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-server-encoding" xreflabel="server_encoding">
-      <term><varname>server_encoding</varname> (<type>string</type>)
+      <term><varname>server_encoding</varname> (<type>string</type>) no default value, its defined on database creation.
       <indexterm>
        <primary><varname>server_encoding</varname> configuration parameter</primary>
       </indexterm>
@@ -11889,7 +11720,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-server-version" xreflabel="server_version">
-      <term><varname>server_version</varname> (<type>string</type>)
+      <term><varname>server_version</varname> (<type>string</type>) no default value
       <indexterm>
        <primary><varname>server_version</varname> configuration parameter</primary>
       </indexterm>
@@ -11903,7 +11734,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-server-version-num" xreflabel="server_version_num">
-      <term><varname>server_version_num</varname> (<type>integer</type>)
+      <term><varname>server_version_num</varname> (<type>integer</type>) no default value and cannot be changed by command
       <indexterm>
        <primary><varname>server_version_num</varname> configuration parameter</primary>
       </indexterm>
@@ -11917,7 +11748,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-size" xreflabel="shared_memory_size">
-      <term><varname>shared_memory_size</varname> (<type>integer</type>)
+      <term><varname>shared_memory_size</varname> (<type>integer</type>) cannot be changed by command
       <indexterm>
        <primary><varname>shared_memory_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11931,7 +11762,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-size-in-huge-pages" xreflabel="shared_memory_size_in_huge_pages">
-      <term><varname>shared_memory_size_in_huge_pages</varname> (<type>integer</type>)
+      <term><varname>shared_memory_size_in_huge_pages</varname> (<type>integer</type>) default is -1 and cannot be changed by command
       <indexterm>
        <primary><varname>shared_memory_size_in_huge_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -11952,7 +11783,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-ssl-library" xreflabel="ssl_library">
-      <term><varname>ssl_library</varname> (<type>string</type>)
+      <term><varname>ssl_library</varname> (<type>string</type>) cannot be changed by command, depends on library server was built
       <indexterm>
        <primary><varname>ssl_library</varname> configuration parameter</primary>
       </indexterm>
@@ -11968,7 +11799,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-wal-block-size" xreflabel="wal_block_size">
-      <term><varname>wal_block_size</varname> (<type>integer</type>)
+      <term><varname>wal_block_size</varname> (<type>integer</type>) default is 8Kbytes and cannot be changed by command
       <indexterm>
        <primary><varname>wal_block_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11976,22 +11807,20 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the size of a WAL disk block.  It is determined by the value
-        of <literal>XLOG_BLCKSZ</literal> when building the server. The default value
-        is 8192 bytes.
+        of <literal>XLOG_BLCKSZ</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-segment-size" xreflabel="wal_segment_size">
-      <term><varname>wal_segment_size</varname> (<type>integer</type>)
+      <term><varname>wal_segment_size</varname> (<type>integer</type>) default is 16MB and cannot be changed by command
       <indexterm>
        <primary><varname>wal_segment_size</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Reports the size of write ahead log segments.  The default value is
-        16MB. See <xref linkend="wal-configuration"/> for more information.
+        Reports the size of write ahead log segments. See <xref linkend="wal-configuration"/> for more information.
        </para>
       </listitem>
      </varlistentry>
@@ -12042,7 +11871,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
 
     <variablelist>
      <varlistentry id="guc-allow-in-place-tablespaces" xreflabel="allow_in_place_tablespaces">
-      <term><varname>allow_in_place_tablespaces</varname> (<type>boolean</type>)
+      <term><varname>allow_in_place_tablespaces</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>allow_in_place_tablespaces</varname> configuration parameter</primary>
       </indexterm>
@@ -12063,7 +11892,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-allow-system-table-mods" xreflabel="allow_system_table_mods">
-      <term><varname>allow_system_table_mods</varname> (<type>boolean</type>)
+      <term><varname>allow_system_table_mods</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>allow_system_table_mods</varname> configuration parameter</primary>
       </indexterm>
@@ -12082,7 +11911,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-backtrace-functions" xreflabel="backtrace_functions">
-      <term><varname>backtrace_functions</varname> (<type>string</type>)
+      <term><varname>backtrace_functions</varname> (<type>string</type>) default is ''
       <indexterm>
         <primary><varname>backtrace_functions</varname> configuration parameter</primary>
       </indexterm>
@@ -12109,7 +11938,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-copy-parse-plan-trees" xreflabel="debug_copy_parse_plan_trees">
-      <term><varname>debug_copy_parse_plan_trees</varname> (<type>boolean</type>)
+      <term><varname>debug_copy_parse_plan_trees</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_copy_parse_plan_trees</varname> configuration parameter</primary>
       </indexterm>
@@ -12118,7 +11947,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all parse and plan trees to be passed through
         <function>copyObject()</function>, to facilitate catching errors and
-        omissions in <function>copyObject()</function>.  The default is off.
+        omissions in <function>copyObject()</function>.
        </para>
 
        <para>
